## metalang99 1.13.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(metalang99 LANGUAGES C)

# Fix the warnings about `DOWNLOAD_EXTRACT_TIMESTAMP` in newer CMake versions.
if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.24.0")
    cmake_policy(SET CMP0135 NEW)
endif()

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE ${CMAKE_CURRENT_SOURCE_DIR}/include)

=== debian/changelog ===
metalang99 (1.13.3-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Tue, 27 Feb 2024 18:11:56 +0100

=== debian/control ===
Source: metalang99
Section: devel
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 doxygen,
Standards-Version: 4.6.2
Homepage: https://github.com/Hirrolot/metalang99
Vcs-Browser: https://salsa.debian.org/science-team/metalang99
Vcs-Git: https://salsa.debian.org/science-team/metalang99.git

Package: libmetalang99-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libjs-mathjax,
Description: Full-blown preprocessor metaprogramming
 Metalang99 is a firm foundation for writing reliable and maintainable
 metaprograms in pure C99. It is implemented as an interpreted FP
 language atop of preprocessor macros: just #include <metalang99.h>
 and you are ready to go. Metalang99 features algebraic data types,
 pattern matching, recursion, currying, and collections; in addition,
 it provides means for compile-time error reporting and
 debugging. With our built-in syntax checker, macro errors should be
 perfectly comprehensible, enabling you for convenient development.

## metalang99 1.13.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.10.0)
 project(metalang99 LANGUAGES C)
 
 # Fix the warnings about `DOWNLOAD_EXTRACT_TIMESTAMP` in newer CMake versions.

=== docs/requirements.txt ===
breathe >= 4.25.1
insipid-sphinx-theme >= 0.2.8

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(examples LANGUAGES C)

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
  add_compile_options(-Wall -Wextra -pedantic -std=c99
                      -ftrack-macro-expansion=0)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Clang")
  add_compile_options("-fmacro-backtrace-limit=1")
elseif(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
  # Enable a standard-conforming C99/C11 preprocessor.
  add_compile_options("/std:c11")
elseif(CMAKE_C_COMPILER_ID STREQUAL "TinyCC")
  add_compile_definitions(ML99_ALLOW_POOR_DIAGNOSTICS)
endif()

include_directories(../include)

add_executable(ackermann ackermann.c)
add_executable(assert_for_each assert_for_each.c)
add_executable(binary_tree binary_tree.c)
add_executable(demo demo.c)
add_executable(duffs_device duffs_device.c)
add_executable(factorial factorial.c)
add_executable(overload overload.c)
add_executable(rectangle rectangle.c)
add_executable(lambda_calculus lambda_calculus.c)

foreach(TARGET ${BUILDSYSTEM_TARGETS})
  set_target_properties(TARGET PROPERTIES C_STANDARD 99 C_STANDARD_REQUIRED ON)
endforeach()

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(test LANGUAGES C)

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
  add_compile_options(-Wall -Wextra -pedantic -std=c99
                      -ftrack-macro-expansion=0)
elseif(CMAKE_C_COMPILER_ID STREQUAL "Clang")
  add_compile_options("-fmacro-backtrace-limit=1")
elseif(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
  # Enable a standard-conforming C99/C11 preprocessor.
  add_compile_options("/std:c11")
elseif(CMAKE_C_COMPILER_ID STREQUAL "TinyCC")
  add_compile_definitions(ML99_ALLOW_POOR_DIAGNOSTICS)
endif()

include_directories(../include)

add_executable(metalang99 metalang99.c)
add_executable(assert assert.c)
add_executable(choice choice.c)
add_executable(either either.c)
add_executable(gen gen.c)
add_executable(stmt stmt.c)
add_executable(lang lang.c)
add_executable(list list.c)
add_executable(bool bool.c)
add_executable(maybe maybe.c)
add_executable(nat nat.c)
add_executable(ident ident.c)
add_executable(tuple tuple.c)
add_executable(util util.c)
add_executable(variadics variadics.c)
add_executable(seq seq.c)
add_executable(rec eval/rec.c)

foreach(TARGET ${BUILDSYSTEM_TARGETS})
  set_target_properties(TARGET PROPERTIES C_STANDARD 99 C_STANDARD_REQUIRED ON)
endforeach()

=== debian/changelog ===
metalang99 (1.13.5-1) unstable; urgency=medium

  * Import upstream version 1.13.5.
  * Bug fix: "FTBFS with CMake 4", thanks to roehling@debian.org</a>;
    (Closes: #1113281).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Oct 2025 21:19:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: metalang99
+Standards-Version: 4.7.2
+Maintainer: Roland Mas <lolando@debian.org>
 Section: devel
-Priority: optional
-Maintainer: Roland Mas <lolando@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  doxygen,
-Standards-Version: 4.6.2
-Homepage: https://github.com/Hirrolot/metalang99
 Vcs-Browser: https://salsa.debian.org/science-team/metalang99
 Vcs-Git: https://salsa.debian.org/science-team/metalang99.git
+Homepage: https://github.com/Hirrolot/metalang99
 
 Package: libmetalang99-dev
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
  libjs-mathjax,
 Description: Full-blown preprocessor metaprogramming
  Metalang99 is a firm foundation for writing reliable and maintainable

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_build:
	doxygen

override_dh_installdocs:
	dh_installdocs -X.gitignore

execute_after_dh_auto_test:
	cmake -S tests -B testsbuild && make -C testsbuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/Hirrolot/metalang99/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
